Base Controller Class

package | miniMVC
subpackage | System

### Methods

## PHP magic method to facilitate dynamic methods

    __call(string $name, array $args) : mixed

Inherited

inherited_from | \miniMVC::__call()

### Parameters

#### $name

`string`

#### $args

`array`

### Returns

`mixed`

## Create the controller object

    __construct() : void

## append()

    append()

Inherited

inherited_from | ArrayObject::append()
inherited_from | \MM::append()
inherited_from | \miniMVC::append()

## asort()

    asort()

Inherited

inherited_from | ArrayObject::asort()
inherited_from | \MM::asort()
inherited_from | \miniMVC::asort()

## count()

    count()

Inherited

inherited_from | ArrayObject::count()
inherited_from | \MM::count()
inherited_from | \miniMVC::count()

## exchangeArray()

    exchangeArray()

Inherited

inherited_from | ArrayObject::exchangeArray()
inherited_from | \MM::exchangeArray()
inherited_from | \miniMVC::exchangeArray()

## getArrayCopy()

    getArrayCopy()

Inherited

inherited_from | ArrayObject::getArrayCopy()
inherited_from | \MM::getArrayCopy()
inherited_from | \miniMVC::getArrayCopy()

## getFlags()

    getFlags()

Inherited

inherited_from | ArrayObject::getFlags()
inherited_from | \MM::getFlags()
inherited_from | \miniMVC::getFlags()

## getIterator()

    getIterator()

Inherited

inherited_from | ArrayObject::getIterator()
inherited_from | \MM::getIterator()
inherited_from | \miniMVC::getIterator()

## getIteratorClass()

    getIteratorClass()

Inherited

inherited_from | ArrayObject::getIteratorClass()
inherited_from | \MM::getIteratorClass()
inherited_from | \miniMVC::getIteratorClass()

## ksort()

    ksort()

Inherited

inherited_from | ArrayObject::ksort()
inherited_from | \MM::ksort()
inherited_from | \miniMVC::ksort()

## Method to load classes into the singleton

    load_class(string $name) : void

Inherited

inherited_from | \miniMVC::load_class()

### Parameters

#### $name

`string`

## Convenience function to load config files

    load_config(string $name)

Inherited

inherited_from | \miniMVC::load_config()

### Parameters

#### $name

`string`

## Function for loading a model into the current class

    load_model(string $file, array $args) : void

### Parameters

#### $file

`string`

#### $args

`array`

## Function for loading a view

    load_view(string $file, array $data, bool $return) : mixed

### Parameters

#### $file

`string`

#### $data

`array`

#### $return

`bool`

### Returns

`mixed`

## natcasesort()

    natcasesort()

Inherited

inherited_from | ArrayObject::natcasesort()
inherited_from | \MM::natcasesort()
inherited_from | \miniMVC::natcasesort()

## natsort()

    natsort()

Inherited

inherited_from | ArrayObject::natsort()
inherited_from | \MM::natsort()
inherited_from | \miniMVC::natsort()

## offsetExists()

    offsetExists()

Inherited

inherited_from | ArrayObject::offsetExists()
inherited_from | \MM::offsetExists()
inherited_from | \miniMVC::offsetExists()

## offsetGet()

    offsetGet()

Inherited

inherited_from | ArrayObject::offsetGet()
inherited_from | \MM::offsetGet()
inherited_from | \miniMVC::offsetGet()

## offsetSet()

    offsetSet()

Inherited

inherited_from | ArrayObject::offsetSet()
inherited_from | \MM::offsetSet()
inherited_from | \miniMVC::offsetSet()

## offsetUnset()

    offsetUnset()

Inherited

inherited_from | ArrayObject::offsetUnset()
inherited_from | \MM::offsetUnset()
inherited_from | \miniMVC::offsetUnset()

## serialize()

    serialize()

Inherited

inherited_from | ArrayObject::serialize()
inherited_from | \MM::serialize()
inherited_from | \miniMVC::serialize()

## setFlags()

    setFlags()

Inherited

inherited_from | ArrayObject::setFlags()
inherited_from | \MM::setFlags()
inherited_from | \miniMVC::setFlags()

## setIteratorClass()

    setIteratorClass()

Inherited

inherited_from | ArrayObject::setIteratorClass()
inherited_from | \MM::setIteratorClass()
inherited_from | \miniMVC::setIteratorClass()

## uasort()

    uasort()

Inherited

inherited_from | ArrayObject::uasort()
inherited_from | \MM::uasort()
inherited_from | \miniMVC::uasort()

## uksort()

    uksort()

Inherited

inherited_from | ArrayObject::uksort()
inherited_from | \MM::uksort()
inherited_from | \miniMVC::uksort()

## Convenience function to remove an object from the singleton

    unload(string $name)

Inherited

inherited_from | \miniMVC::unload()

### Parameters

#### $name

`string`

## unserialize()

    unserialize()

Inherited

inherited_from | ArrayObject::unserialize()
inherited_from | \MM::unserialize()
inherited_from | \miniMVC::unserialize()

### Properties

## Reference to output class

    $output : \MM_Output

Inherited

inherited_from | \miniMVC::$$output

## Instance of Page class

    $page : \Page